Bug 149916 - Seeing _RefHeading_ in cross-ref field listing in Navigator
Summary: Seeing _RefHeading_ in cross-ref field listing in Navigator
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.0.2 target:7.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2022-07-08 12:04 UTC by Eyal Rozenberg
Modified: 2022-08-09 13:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Jim Raykowski


Attachments
A document with some cross-references (11.00 KB, application/vnd.oasis.opendocument.text)
2022-07-08 12:04 UTC, Eyal Rozenberg
Details
Screenshot with problematic Navigator field entries (140.11 KB, image/png)
2022-07-08 12:05 UTC, Eyal Rozenberg
Details
A document with a __RefHeading__ cross-references (9.43 KB, application/vnd.oasis.opendocument.text)
2022-07-08 12:11 UTC, Eyal Rozenberg
Details
Screenshot with problematic Navigator field entry (108.02 KB, image/png)
2022-07-08 12:12 UTC, Eyal Rozenberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eyal Rozenberg 2022-07-08 12:04:50 UTC
Created attachment 181175 [details]
A document with some cross-references

(This bug has been split off from 148473)

Consider the attached document. It has some cross-references. If we open the Navigator sidebar pane, we should see, under "fields", something like "cross-reference - First", "cross-reference - second" etc. Instead, I see:

cross-reference - __RefHeading___Toc1_1092939602
cross-reference - __RefHeading___Toc3_1092939602
cross-reference - __RefHeading___Toc5_1092939602

and so on.

At the same time, it seems Heiko Tieze, who's tried opening this file, doesn't see the "__RefHeading__" part, but something more meaningful.

Version info:
Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: ab12274ffda3a1a5a1ff33203acf9de665d4a636
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-IL (en_IL); UI: en-US
Comment 1 Eyal Rozenberg 2022-07-08 12:05:52 UTC
Created attachment 181176 [details]
Screenshot with problematic Navigator field entries

This is what _I_ see - the bug manifesting.
Comment 2 Eyal Rozenberg 2022-07-08 12:10:27 UTC
I'll make it even simpler.

1. Create a new Writer document
2. Type in "First" and Enter
3. Set the style for the first paragraph to Heading 1
4. Place the cursor at the beginning of the second paragraph
5. Open Insert | Reference | Cross-Reference on the menus
6. Choose a Heading cross-reference, using Page Number Unstyled

This results in a Navigator entry with __RefHeading__ instead of a more meaningful name. Will attach that instead of the previously-attached file.
Comment 3 Eyal Rozenberg 2022-07-08 12:11:38 UTC
Created attachment 181177 [details]
A document with a __RefHeading__ cross-references
Comment 4 Eyal Rozenberg 2022-07-08 12:12:35 UTC
Created attachment 181178 [details]
Screenshot with problematic Navigator field entry
Comment 5 Dieter 2022-07-24 09:59:27 UTC
I can't confirm with

Version: 7.3.5.2 (x64) / LibreOffice Community
Build ID: 184fe81b8c8c30d8b5082578aee2fed2ea847c01
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

entry is : cross-reference - First

But I can confirm with master from 16.07.

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ce29e6299932fc079b05b60662ba95c8342990bc
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

I will update master and retest.
Comment 6 Dieter 2022-07-24 10:32:12 UTC
Reproducible with

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 4827d5cb1508f6bca9489e31b877cfff36393c50
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

So it's a regression.

Jim, could you have a lokk at it? Thank you
cc: Jim Raykowski
Comment 7 raal 2022-07-24 20:16:05 UTC
 This seems to have begun at the below commit.
 4555a8d430310d8fe7d5828ffdc6387507107e46 is the first bad commit
commit 4555a8d430310d8fe7d5828ffdc6387507107e46
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Feb 24 02:43:47 2022 +0100

    source sha:21b5d6e0dce7c2034aded96d1499da27094e2781

https://git.libreoffice.org/core/+/21b5d6e0dce7c2034aded96d1499da27094e2781
Comment 8 Commit Notification 2022-07-27 03:54:26 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b8ac21a3981b9d6fd94aa74c4da9026e580f44eb

tdf#149916 revert to showing text of referenced text node

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-07-27 15:50:57 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/e503ff11a79a2fc229c5fd679573c0227f3f9a73

tdf#149916 revert to showing text of referenced text node

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-08-01 04:09:01 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a0e09cf64eea663122043294b848ac1bb8f05ac9

tdf#149916 follow up to include expand field text

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Dieter 2022-08-05 09:40:06 UTC
VERIFIED with

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: a56d0c34716f381accbd9d2e3040a62d3583d18d
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Jim, thanks for fixing it!
Comment 12 Commit Notification 2022-08-08 17:31:40 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/e6b9fab8be5f4a8de5126d1f3be82e0c738af9a0

tdf#149916 follow up to include expand field text

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2022-08-09 13:51:49 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a5df8f82938973b2dd63e39d96b95833670005ba

tdf#149916: sw: Add UItest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.